/**
*
* CVE-Lite Source code
* (c) 2004 David Henderson & Dave Rowbotham
* Licence LGPL -- http://www.gnu.org/licenses/lgpl.txt
*
* Based on an idea introduced by Rob Conley ( estar ) in COMMON_ADDON
* GPDS Ver 2.0 based on GPDS 1.0 by David Henderson ( dh219 )
* CVE Libray coding by Dave Rowbotham.
* CVE-Lite adapted from CVE Library by D Henderson
*
* You may use this source code in your addon provided that if you
* publish your addon either privately or publicly the end user
* recieves a copy of the source code including any modifications
* you may have made. 
*
*/
#include "cvel.h"

/**
*
*   COMMON_MESH
*   Constructor
*/
COMMON_MESH::COMMON_MESH()
{
	try
	{
		mesh_handle		= NULL;
		mesh_position	=_V( 0.0, 0.0, 0.0 );
		mesh_index      = 0;
		mesh_payload	= false;
	}
	catch(...)
	{


	}
	 
}
//-----------------------------------------------------------------------------------

/**
*
*   COMMON_MESH
*   Copy Constructor
*/
COMMON_MESH::COMMON_MESH( const COMMON_MESH &cm )
{
	try
	{
		mesh_handle		= cm.mesh_handle;
		mesh_position	= cm.mesh_position;
		mesh_name       = cm.mesh_name;
		mesh_index      = cm.mesh_index;
		mesh_payload	= cm.mesh_payload;
	}

	catch(...)
	{

	}
}
//-----------------------------------------------------------------------------------



COMMON_MESH::~COMMON_MESH()
{
 try
 {
	mesh_handle=NULL;
	mesh_position	=_V( 0.0, 0.0, 0.0 );
	mesh_index      = 0;
	mesh_payload	= false;
 }
 catch(...)
 {

 }
}

/**
*
*   COMMON_MESH
*   Assignment operator
*/
const COMMON_MESH & COMMON_MESH::operator=( const COMMON_MESH &g )
{
	try
	{
		mesh_handle    = g.mesh_handle;      // plain orbiter mesh handle
		mesh_position  = g.mesh_position;    // position X,Y,Z
		mesh_name      = g.mesh_name;
		mesh_index     = g.mesh_index;
		mesh_payload	= g.mesh_payload;
		return *this;
	}
	catch(...)
	{
		return *this;
	}
}
/**
*
* returns the MESHHANDLE
*
*/
MESHHANDLE COMMON_MESH::MeshHandle() 
{ 
	return mesh_handle; 

}
//-----------------------------------------------------------------------------------


/**
*
*
* assigns the MESSHANDLE
*/
void COMMON_MESH::MeshHandle( MESHHANDLE m ) 
{ 
	mesh_handle = m; 
}
//-----------------------------------------------------------------------------------


/**
*
*
* returns the mesh index
*/
UINT COMMON_MESH::MeshIndex()
{

  return mesh_index;
}
//-----------------------------------------------------------------------------------


/**
*
* sets the mesh index
*/
void COMMON_MESH::MeshIndex( UINT idx )
{
	mesh_index=idx;
}
//-----------------------------------------------------------------------------------

